-if test "x$XLCXX" = "xyes"; then
+if test "x$XLCXX" = "xyes" -a "x$USE_AIX" = "x1"; then
CXXFLAGS="$CXXFLAGS -qunique"
fi
echo "$as_me:$LINENO: result: not found" >&5
echo "${ECHO_T}not found" >&6
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+
+ echo "$as_me:$LINENO: checking whether Motif is Lesstif" >&5
+echo $ECHO_N "checking whether Motif is Lesstif... $ECHO_C" >&6
+ cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+ #include <Xm/Xm.h>
+
+int
+main ()
+{
+
+ #if !defined(LesstifVersion) || LesstifVersion <= 0
+ #error "Not Lesstif"
+ #endif
+
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+ (eval $ac_compile) 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } &&
+ { ac_try='test -z "$ac_c_werror_flag"
+ || test ! -s conftest.err'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; } &&
+ { ac_try='test -s conftest.$ac_objext'
+ { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+ (eval $ac_try) 2>&5
+ ac_status=$?
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); }; }; then
+
+ cat >>confdefs.h <<\_ACEOF
+#define __WXLESSTIF__ 1
+_ACEOF
+
+ echo "$as_me:$LINENO: result: yes" >&5
+echo "${ECHO_T}yes" >&6
+
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+
+ cat >>confdefs.h <<\_ACEOF
+#define __WXLESSTIF__ 0
+_ACEOF
+
+ echo "$as_me:$LINENO: result: no" >&5
+echo "${ECHO_T}no" >&6
+
fi
rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
CFLAGS=$save_CFLAGS
fi
if test "$wxUSE_DATAOBJ" = "yes"; then
- cat >>confdefs.h <<\_ACEOF
+ if test "$wxUSE_MGL" = 1; then
+ { echo "$as_me:$LINENO: WARNING: wxDataObject not yet supported under MGL... disabled" >&5
+echo "$as_me: WARNING: wxDataObject not yet supported under MGL... disabled" >&2;}
+ wxUSE_DATAOBJ=no
+ else
+ cat >>confdefs.h <<\_ACEOF
#define wxUSE_DATAOBJ 1
_ACEOF
+ fi
else
{ echo "$as_me:$LINENO: WARNING: Clipboard and drag-and-drop require wxDataObject -- disabled" >&5
echo "$as_me: WARNING: Clipboard and drag-and-drop require wxDataObject -- disabled" >&2;}
-s|-Wl,*)
# collect these load args
ldargs="${D}{ldargs} ${D}1"
+ ;;
-l*|-L*|-flat_namespace|-headerpad_max_install_names)
# collect these options